﻿--
-- Structure de la table `ap_message`
--

CREATE TABLE `ap_message` (
  `_id` mediumint(8) UNSIGNED NOT NULL,
  `_idContainer` mediumint(8) UNSIGNED NOT NULL DEFAULT '0',
  `_idMessageSender` mediumint(8) NOT NULL,
  `_idSender` mediumint(8) DEFAULT NULL,
  `object` mediumtext,
  `description` mediumtext,
  `dateCrea` datetime DEFAULT NULL,
  `statute` tinyint(1) DEFAULT '0',
  `recipients` text NOT NULL,
  `statuteRead` tinyint(1) DEFAULT '0',
  `dateRead` datetime DEFAULT NULL,
  `hideRecipients` tinyint(1) DEFAULT '0',
  `_idRecipient` mediumint(8) NOT NULL,
  `_idfilename` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Structure de la table `ap_messagefile`
--

CREATE TABLE `ap_messagefile` (
  `_id` mediumint(8) UNSIGNED NOT NULL,
  `_idContainer` mediumint(8) UNSIGNED NOT NULL,
  `filename` varchar(255) DEFAULT NULL,
  `realName` text,
  `octetSize` int(11) DEFAULT NULL,
  `dateCrea` datetime DEFAULT NULL,
  `_idUser` mediumint(8) UNSIGNED DEFAULT NULL,
  `_idMessage` mediumint(8) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `ap_message`
--
ALTER TABLE `ap_message`
  ADD PRIMARY KEY (`_id`);

--
-- Index pour la table `ap_messagefile`
--
ALTER TABLE `ap_messagefile`
  ADD PRIMARY KEY (`_id`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `ap_message`
--
ALTER TABLE `ap_message`
  MODIFY `_id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `ap_messagefile`
--
ALTER TABLE `ap_messagefile`
  MODIFY `_id` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT;
COMMIT;
